<?
header('Content-type: text/javascript; charset=UTF-8');
include_once '../includes/globals.php';
// Output JavaScript Translator object, using heredoc notation
echo <<< JavaScript
window.Translator = new function()
{
  this.translationArray = new Object();
  this.translate = function(msg)
  {
    var returnVal = msg;
    if (this.translationArray[msg])
    {
      returnVal = this.translationArray[msg];
    }
    return returnVal;
  }
  window.translate = function(msg)
  {
    return Translator.translate(msg);
  }
}

JavaScript;
// End of heredoc notation

// Output translation entries
$translationArray = buildTranslationArray(LANG);
$arrayKeys = array_keys($translationArray);
foreach($arrayKeys as $key)
  echo ('Translator.translationArray["' . $key . '"] = "' . addslashes($translationArray[$key]) . '";' . "\n");

?>
